$(function() { 

 'use strict'; 

 document.getElementById('legendArea1').innerHTML = 'Custo de aquisição(R$)'; 
 document.getElementById('legendArea2').innerHTML = 'Peso(kg)'; 
 document.getElementById('legendArea3').innerHTML = 'Valor de venda(R$)'; 
 document.getElementById('legendAreaOne').innerHTML = 'Produtos'; 
 document.getElementById('legendAreaTwo').innerHTML = 'Fabricantes'; 
 document.getElementById('legendAreaThree').innerHTML = 'Clientes'; 
 document.getElementById('captionSmallBoxes').innerHTML = 'Resumo Mensal - Agosto/2022'; 
 document.getElementById('captionTitleLine').innerHTML = 'Análise de faturamento - Venda x Peso x Custo por Mês/Ano'; 
 document.getElementById('captionPeriodLine').innerHTML = '(últimos 12 meses)'; 
 document.getElementById('captionTitleDonut').innerHTML = 'Percentual de representatividade por vendedor (%)'; 
 document.getElementById('captionPeriodDonut').innerHTML = '(últimos 3 meses)'; 
 document.getElementById('captionTitleBar').innerHTML = 'Faturamento por cidade (R$)'; 
 document.getElementById('captionPeriodBar').innerHTML = '(últimos 3 meses)'; 
 document.getElementById('captionProgressTrio').innerHTML = 'Resumo Diário - 4/Agosto'; 
 document.getElementById('captionTitleGroupKnobs').innerHTML = 'Ranking - Percentual de representatividade (%)'; 
 document.getElementById('captionPeriodGroupKnobs').innerHTML = '(últimos 3 meses)'; 

 document.getElementById('numFirstBox').innerHTML = '715.729'; 
 document.getElementById('numSecondBox').innerHTML = '5.546.899'; 
 document.getElementById('numThirdBox').innerHTML = '684'; 
 document.getElementById('numFourthBox').innerHTML = '196'; 
 document.getElementById('textFirstBox').innerHTML = 'Faturamento Mensal'; 
 document.getElementById('textSecondBox').innerHTML = 'Faturamento - Projeção do Mês'; 
 document.getElementById('textThirdBox').innerHTML = 'Clientes Positivados'; 
 document.getElementById('textFourthBox').innerHTML = 'Produtos Positivados'; 

 document.getElementById('knobGroupThree').value = '1.4'; 
 document.getElementById('labelKnobGroupThree').innerHTML = "INDAIA PESCADOS LTDA"; 
 document.getElementById('knobGroupSix').value = '1.36'; 
 document.getElementById('labelKnobGroupSix').innerHTML = "IMPACTO INDUSTRIA COMERCIO E S"; 
 document.getElementById('knobGroupNine').value = '0.83'; 
 document.getElementById('labelKnobGroupNine').innerHTML = "YOKY SUSHI RESTAURANTE LTDA"; 
 document.getElementById('knobGroupTwelve').value = '0.81'; 
 document.getElementById('labelKnobGroupTwelve').innerHTML = "INDAIA PESCADOS "; 
 document.getElementById('knobGroupFifteen').value = '0.76'; 
 document.getElementById('labelKnobGroupFifteen').innerHTML = "PINTADOURO";

 document.getElementById('knobGroupOne').value = '12.35'; 
 document.getElementById('labelKnobGroupOne').innerHTML = "SALMAO EVISC RESFRIADO PREMIUM 10/12  CX/28KG"; 
 document.getElementById('knobGroupFour').value = '11.52'; 
 document.getElementById('labelKnobGroupFour').innerHTML = "SALMAO EVISC RESFRIADO PREMIUM 12/14  CX/28KG"; 
 document.getElementById('knobGroupSeven').value = '6.11'; 
 document.getElementById('labelKnobGroupSeven').innerHTML = "PANGASIUS FILE S/V S/GORD 220UP PL CX 10KG PEIXES MEGGS"; 
 document.getElementById('knobGroupTen').value = '4'; 
 document.getElementById('labelKnobGroupTen').innerHTML = "MERLUZA FILE INTERF PL07KG/CX 21KG  DIVERSOS "; 
 document.getElementById('knobGroupThirteen').value = '3.83'; 
 document.getElementById('labelKnobGroupThirteen').innerHTML = "CAÇÃO POSTA GR/CX14KG SERRANA";

 document.getElementById('knobGroupTwo').value = '33.17'; 
 document.getElementById('labelKnobGroupTwo').innerHTML = "NDF"; 
 document.getElementById('knobGroupFive').value = '26.07'; 
 document.getElementById('labelKnobGroupFive').innerHTML = "SALMAO FRESCO "; 
 document.getElementById('knobGroupEight').value = '20.92'; 
 document.getElementById('labelKnobGroupEight').innerHTML = "PEIXES MEGGS"; 
 document.getElementById('knobGroupEleven').value = '8.03'; 
 document.getElementById('labelKnobGroupEleven').innerHTML = "MCCAIN VAREJO"; 
 document.getElementById('knobGroupFourteen').value = '6.88'; 
 document.getElementById('labelKnobGroupFourteen').innerHTML = "MULTI FISH ";

 $('.knob').knob(); 

 $('.knob').css('font-size','12px').css('font-weight','bold').css('color','#ffffff'); 


  $('.progressBarTrioOne').css('width','86.6441%'); 

  $('.progressBarTrioTwo').css('width','1.2404%'); 

  $('.progressBarTrioThree').css('width','12.1155%'); 

  document.getElementById('textProgressBarOne').innerHTML = 'R$ 327.124'; 
  document.getElementById('textProgressBarTwo').innerHTML = 'R$ 4.683'; 
  document.getElementById('textProgressBarThree').innerHTML = 'R$ 45.742'; 
  document.getElementById('captionProgressBarOne').innerHTML = 'Pedidos Abertos'; 
  document.getElementById('captionProgressBarTwo').innerHTML = 'Pedidos Cancelados'; 
  document.getElementById('captionProgressBarThree').innerHTML = 'Pedidos Faturados'; 

  var bar = new Morris.Bar({ 
    element: 'bar-chart', 
    resize: true, 
    hideHover: 'auto', 
    data: [{ 
      y: "RIBEIRAO PRETO", 
      item1: 1171021.07 
   }, { 
      y: "SANTOS", 
      item1: 788620.97 
   }, { 
      y: "CAMPINAS", 
      item1: 756370.49 
   }, { 
      y: "SÃO JOSÉ DOS CAMPOS", 
      item1: 734671.19 
   }, { 
      y: "SÃO PAULO", 
      item1: 541225.57 
   }], 
    xkey: 'y', 
    ykeys: ['item1'], 
    labels: ['Faturamento R$'], 
    barColors: ['#efefef'], 
    gridTextFamily: 'Calibri', 
    gridTextColor: '#ffffff', 
    gridTextSize: 11, 
    gridLineColor: '#ffffff', 
    barSizeRatio: 0.50, 
    xLabelMargin: 5 
  }); 

 var donut = new Morris.Donut({ 
    element: 'donut-chart', 
    resize: true, 
    colors: ["#1B9AAA", "#9E9E9E", "#BD445F", "#607D8B", "#F2A594","#D9D9D9",
             "#154E71","#CFCF53", "#FF5850", "#B6B6B6", "#0A9600", "#E6E4E5", "#66CCFF",
             "#969696", "#DA5711", "#A3C2C2", "#E62E00", "#CC6699", "#00B386", "#B3B3CC", "#FF6600"],
    data: [{ 
        label: "LUIZ ANTONIO CASTILHO FILHO				", 
        value: 9.23 
    }, { 
        label: "SILVANO MORENO RODRIGUES CLT", 
        value: 5.76 
    }, { 
        label: "RODRIGO GRILO DE OLIVEIRA REPRESENTACAO COMERCIAL				", 
        value: 5.71 
    }, { 
        label: "CAMPANARO E CAMPANARO LTDA				", 
        value: 5.21 
    }, { 
        label: "MARCIA RODRIGUES REPRESENTAÇÃO", 
        value: 4.18 
    }, { 
        label: "TM REPRESENTAÇÕES COMERCIAIS E SERVIÇOS LTDA", 
        value: 3.72 
    }, { 
        label: "TIAGO ALVES FEITEIRO CLT", 
        value: 3.41 
    }, { 
        label: "JOSUE FRANCISCO CASTILHO SOBRINHO", 
        value: 3.36 
    }, { 
        label: "NECAEL LIMA DE SOUSA CLT", 
        value: 2.98 
    }, { 
        label: "MICHELLE FARIAS CAMARA SOUSA", 
        value: 2.66 
    }, { 
        label: "ROGNER FRANCISCO CAYRES CLT", 
        value: 2.42 
    }, { 
        label: "LUCAS PRADO DE CARVALHO CLT", 
        value: 2.33 
    }, { 
        label: "BRUNO SERGIO PENA CLT", 
        value: 2.33 
    }, { 
        label: "JOSE ARNALDO DE ARAUJO CLT", 
        value: 2.25 
    }, { 
        label: "ALCIDES JOSE CHIODI NOVO", 
        value: 2.2 
    }, { 
        label: "NILVANDO ELIAS PEREIRA CLT", 
        value: 2.2 
    }, { 
        label: "VAGNER AVANZI REPRESENTANTE COMERCIAL ME							", 
        value: 2.18 
    }, { 
        label: "AR2J RCA			", 
        value: 2.18 
    }, { 
        label: "LUCIO REPRESENTACAO COMERCIAL LTDA ME				", 
        value: 2.15 
    }, { 
        label: "TD CARNES REPRESENTAÇOES LTDA", 
        value: 2.12 
    }, { 
        label: "Outros", 
        value: 31.42 
    }], 
    hideHover: 'auto' 
 }); 

 var area = new Morris.Area({ 
  element: 'area-chart', 
  resize: true, 
  data: [{ 
     y: '09/21', 
     item1: 5064807.4, 
     item2: 224408.59, 
     item3: 3417828.16 
   }, { 
     y: '10/21', 
     item1: 5675720.39, 
     item2: 220256.9, 
     item3: 3761699.59 
   }, { 
     y: '11/21', 
     item1: 5834416.11, 
     item2: 227772.74, 
     item3: 3980587.58 
   }, { 
     y: '12/21', 
     item1: 5514710.32, 
     item2: 196901.4, 
     item3: 3772967.3 
   }, { 
     y: '01/22', 
     item1: 5585033.4, 
     item2: 216517.75, 
     item3: 3918745.52 
   }, { 
     y: '02/22', 
     item1: 7245737.05, 
     item2: 287830.61, 
     item3: 5170399.71 
   }, { 
     y: '03/22', 
     item1: 10649433.26, 
     item2: 422149.42, 
     item3: 7489984.96 
   }, { 
     y: '04/22', 
     item1: 8891157.1, 
     item2: 309095.32, 
     item3: 6661576.34 
   }, { 
     y: '05/22', 
     item1: 5261903.15, 
     item2: 177825.69, 
     item3: 3983592.99 
   }, { 
     y: '06/22', 
     item1: 5526071.48, 
     item2: 185027.76, 
     item3: 4192292.66 
   }, { 
     y: '07/22', 
     item1: 6394528.89, 
     item2: 200117.35, 
     item3: 4814230.69 
   }, { 
     y: '08/22', 
     item1: 715729.41, 
     item2: 25628.96, 
     item3: 516247.41 
   }],   xkey: 'y', 
  ykeys: ['item1', 'item2', 'item3'], 
  labels: ['Venda R$', 'Peso(kg)', 'Custo'], 
  lineColors: ['#57c198', '#369cd6', '#de4c5b'], 
  hideHover: 'auto', 
  hoverColor: '#ffffff', 
  parseTime: false, 
  xLabelMargin: 10, 
  fillOpacity: 0.3, 
  behaveLikeLine: true 
 }); 

});
